Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class BAD_PARAM

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException
                              |
                              +--org.omg.CORBA.BAD_PARAM

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, java.io.Serializable

public class BAD_PARAM
extends SystemException

A parameter passed to a call is out of range or otherwise considered illegal. An ORB may raise this exception if null values or null pointers are passed to an operation (for language mappings where the concept of a null pointers or null values applies). BAD_PARAM can also be raised as a result of client generating requests with incorrect parameters using the DII.

See Also:
  Serialized Form

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`BAD_PARAM()`
`BAD_PARAM(int minor, CompletionStatus completed)`
`BAD_PARAM(java.lang.String orb_reason)`
`BAD_PARAM(java.lang.String orb_reason, int minor, CompletionStatus completed)`

Methods inherited from class org.omg.CORBA.SystemException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BAD_PARAM

    public BAD_PARAM()

### BAD_PARAM

    public BAD_PARAM(java.lang.String orb_reason)

### BAD_PARAM

    public BAD_PARAM(int minor,
                     CompletionStatus completed)

### BAD_PARAM

    public BAD_PARAM(java.lang.String orb_reason,
                     int minor,
                     CompletionStatus completed)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD